#if !defined(AFX_EDITORVIEW_H__A1EA42E2_9B23_11D1_8C74_D056CB8E3C60__INCLUDED_)
#define AFX_EDITORVIEW_H__A1EA42E2_9B23_11D1_8C74_D056CB8E3C60__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

#include "SectorEditor.h"
#include "RoomEditor.h"
#include "ItemEditor.h"

class CEditorView : public CFormView
{
protected:
	CEditorView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CEditorView)

public:
	//{{AFX_DATA(CEditorView)
	enum { IDD = IDD_EDITOR_VIEW };
	//}}AFX_DATA

public:
    CSectorEditor m_SectorEditor;
    CRoomEditor m_RoomEditor;
    CItemEditor m_ItemEditor;
    int m_nEditMode;
    
    void Hide(int nView);
    void Show(int nView);

	//{{AFX_VIRTUAL(CEditorView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

protected:
	virtual ~CEditorView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	//{{AFX_MSG(CEditorView)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITORVIEW_H__A1EA42E2_9B23_11D1_8C74_D056CB8E3C60__INCLUDED_)
