// MainView.cpp : implementation file
//

#include "stdafx.h"
#include "trled.h"
#include "MainView.h"
#include "TrlEdDoc.h"
#include "roommesh.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMainView

IMPLEMENT_DYNCREATE(CMainView, CView)

CMainView::CMainView()
{
}

CMainView::~CMainView()
{
}


BEGIN_MESSAGE_MAP(CMainView, CView)
	//{{AFX_MSG_MAP(CMainView)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMainView drawing

void CMainView::OnDraw(CDC* pDC)
{
	RECT rect;
    CDocument* pDoc = GetDocument();
    GetClientRect(&rect);
    pDC->BitBlt(0, 0, rect.right, rect.bottom, NULL, 0, 0, BLACKNESS);
}

/////////////////////////////////////////////////////////////////////////////
// CMainView diagnostics

#ifdef _DEBUG
void CMainView::AssertValid() const
{
	CView::AssertValid();
}

void CMainView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMainView message handlers

void CMainView::OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint) 
{
    CTrlEdDoc *pDoc = (CTrlEdDoc *)GetDocument();
    if (!(lHint & UPDATE_VIEW_MAIN))
    {
        return;
    }
    BuildRoomMesh(pDoc->m_trm.roomcurrent->room);
}
