#if !defined(AFX_OBJTEXVIEWER_H__6AD918B9_3A8C_11D1_8F2B_A88F8CDF667C__INCLUDED_)
#define AFX_OBJTEXVIEWER_H__6AD918B9_3A8C_11D1_8F2B_A88F8CDF667C__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// ObjtexViewer.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CObjtexViewer frame

#define OBJTEXVIEWER_SIZE_X 256+50
#define OBJTEXVIEWER_SIZE_Y 256+100
#define BITMAP_SIZE_X 256
#define BITMAP_SIZE_Y 256

class CObjtexViewer : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CObjtexViewer)
public:
    PHD_t *m_pphd;
    CSpinButtonCtrl m_TextileSpin;
    CStatic m_TextileSpinBuddy;

    CSpinButtonCtrl m_ColormapSpin;
    CStatic m_ColormapSpinBuddy;

    CDC m_BitmapDC;
    CPalette m_Palette;
    CBitmap m_Bitmap;
    HBITMAP m_hBitmap;
    BYTE *m_pBitmapBits;

    int m_nObjtex;

	CObjtexViewer();           // protected constructor used by dynamic creation
	virtual ~CObjtexViewer();
    void DrawObjtex(int nObjtex);

	//{{AFX_VIRTUAL(CObjtexViewer)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CObjtexViewer)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnPaint();
	afx_msg void OnDestroy();
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OBJTEXVIEWER_H__6AD918B9_3A8C_11D1_8F2B_A88F8CDF667C__INCLUDED_)
