// RoomEditorPage1.cpp : implementation file
//

#include "stdafx.h"
#include "trled.h"
#include "TrlEdDoc.h"
#include "RoomEditorPage1.h"
#include "room.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

IMPLEMENT_DYNCREATE(CRoomEditorPage1, CPropertyPage)

CRoomEditorPage1::CRoomEditorPage1() : CPropertyPage(CRoomEditorPage1::IDD)
{
	//{{AFX_DATA_INIT(CRoomEditorPage1)
	//}}AFX_DATA_INIT
}

CRoomEditorPage1::~CRoomEditorPage1()
{
}

void CRoomEditorPage1::DoDataExchange(CDataExchange* pDX)
{
    m_pRoom = m_pDoc->m_trm.roomcurrent->room;
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRoomEditorPage1)
	DDX_Control(pDX, IDC_Y_SIZE_SPIN, m_YSizeSpin);
	DDX_Control(pDX, IDC_X_SIZE_SPIN, m_XSizeSpin);
	//}}AFX_DATA_MAP
    if (!pDX->m_bSaveAndValidate)
    {
        m_XSizeSpin.SetPos(m_pRoom->numxsectors);
        m_YSizeSpin.SetPos(m_pRoom->numysectors);
    }
}


BEGIN_MESSAGE_MAP(CRoomEditorPage1, CPropertyPage)
	//{{AFX_MSG_MAP(CRoomEditorPage1)
	ON_WM_VSCROLL()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BOOL CRoomEditorPage1::OnInitDialog() 
{
	CWnd *pWnd;
    CPropertyPage::OnInitDialog();
    pWnd = GetDlgItem(IDC_X_SIZE_BUDDY);
    m_XSizeSpin.SetBuddy(pWnd);
    m_XSizeSpin.SetRange(1, 30);
    m_XSizeSpin.SetPos(0);
    pWnd = GetDlgItem(IDC_Y_SIZE_BUDDY);
    m_YSizeSpin.SetBuddy(pWnd);
    m_YSizeSpin.SetRange(1, 30);
    m_YSizeSpin.SetPos(0);
	return TRUE;
}

void CRoomEditorPage1::OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{
    int id = pScrollBar->GetDlgCtrlID();
    if (id == IDC_X_SIZE_SPIN)
    {
        ChangeRoomSize(m_pRoom, nPos, -1);
        UpdateViews();
    }
    else if (id == IDC_Y_SIZE_SPIN)
    {
        ChangeRoomSize(m_pRoom, -1, nPos);
        UpdateViews();
    }
	CPropertyPage::OnVScroll(nSBCode, nPos, pScrollBar);
}

void CRoomEditorPage1::UpdateViews(void)
{
    m_pDoc->UpdateAllViews(NULL, UPDATE_VIEW_SECTORS|UPDATE_VIEW_MAIN);
}
