#if !defined(AFX_SECTOREDITORPAGE1_H__4A65A7E3_5E91_11D1_8C74_D056CB8E3C60__INCLUDED_)
#define AFX_SECTOREDITORPAGE1_H__4A65A7E3_5E91_11D1_8C74_D056CB8E3C60__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "trmdefs.h"

class CSectorEditorPage1 : public CPropertyPage
{
public:
    CTrlEdDoc *m_pDoc;
    trm_sector_t *m_pSector;
    BOOL m_fFloor;
    s_char m_savedfloor;
    s_char m_savedceiling;
    s_char m_savedlrfloor;
    s_char m_savedudfloor;
    s_char m_savedlrceiling;
    s_char m_savedudceiling;

    HBITMAP m_hUpArrow;
    HBITMAP m_hDownArrow;
    HBITMAP m_hLeftArrow;
    HBITMAP m_hRightArrow;
    HBITMAP m_hFlat;

    CSectorEditorPage1();
	~CSectorEditorPage1();

    void UpdateViews(void);

	//{{AFX_DATA(CSectorEditorPage1)
	enum { IDD = IDD_SECTOR_EDITOR_PAGE_1 };
	CSpinButtonCtrl	m_HeightSpin;
	//}}AFX_DATA


	//{{AFX_VIRTUAL(CSectorEditorPage1)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CSectorEditorPage1)
	afx_msg void OnWall();
	afx_msg void OnNormal();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnCeiling();
	afx_msg void OnFloor();
	afx_msg void OnLeft();
	afx_msg void OnRight();
	afx_msg void OnUp();
	afx_msg void OnDown();
	afx_msg void OnFlat();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SECTOREDITORPAGE1_H__4A65A7E3_5E91_11D1_8C74_D056CB8E3C60__INCLUDED_)
