#if !defined(AFX_TEXTILEVIEWER_H__6AD918B8_3A8C_11D1_8F2B_A88F8CDF667C__INCLUDED_)
#define AFX_TEXTILEVIEWER_H__6AD918B8_3A8C_11D1_8F2B_A88F8CDF667C__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// TextileViewer.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTextileViewer frame

#define TEXTILEVIEWER_SIZE_X 256+50
#define TEXTILEVIEWER_SIZE_Y 256+100

class CTextileViewer : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CTextileViewer)
public:
    PHD_t *m_pphd;
    HBRUSH m_hBrush;
    CSpinButtonCtrl m_TextileSpin;
    CStatic m_TextileSpinBuddy;

    CSpinButtonCtrl m_ColormapSpin;
    CStatic m_ColormapSpinBuddy;

    CDC m_BitmapDC;
    CPalette m_Palette;
    CBitmap m_Bitmap;
    HBITMAP m_hBitmap;
    BYTE *m_pBitmapBits;

	CTextileViewer();           // protected constructor used by dynamic creation
	virtual ~CTextileViewer();

	//{{AFX_VIRTUAL(CTextileViewer)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CTextileViewer)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnPaint();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TEXTILEVIEWER_H__6AD918B8_3A8C_11D1_8F2B_A88F8CDF667C__INCLUDED_)
