//patch.c

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdio.h>
#include <crtdbg.h>
#include "types.h"
#include "patch.h"

#define ASSERT(e) _ASSERT(e)

void PatchFile(unsigned char *buffer, FILE *dest, FILE *src, long offset, long totalsize)
{
    long size;
    int x;
    fseek(src, offset, SEEK_SET);
    size = PATCHFILE_BUFSIZE;
    for (x = 0; x < totalsize/size; x++)
    {
        fread(buffer, size, 1, src);
        fwrite(buffer, size, 1, dest);
    }
    size = totalsize%PATCHFILE_BUFSIZE;
    if (!size)
    {    
        return;
    }
    fread(buffer, size, 1, src);
    fwrite(buffer, size, 1, dest);
}

#ifdef __cplusplus
}
#endif
