//thing.c

#include <windows.h>
#include <stdio.h>
#include <crtdbg.h>
#include "thing.h"
#include "MyMemory.h"
#include "trdefs.h"
#include "tr2.h"

#define ASSERT(e) _ASSERT(e)

char *lpszDataPath = "d:\\tomb2demo\\data";

int main(void)
{
    char szPath[256], szTemp[256];
    tr2_t tr2;
    WIN32_FIND_DATA fd;
    HANDLE hFind;
    FILE *f;
    DWORD ret;
    int x;
    InitMyMemory(0x100000, 8192);
    sprintf(szPath, "%s\\*.tr2", lpszDataPath);
    hFind = FindFirstFile(szPath, &fd);
    if (hFind == INVALID_HANDLE_VALUE)
    {
        printf("*.tr2 not found in %s.\n", lpszDataPath);
        return 0;
    }
    f = fopen("d:\\tombdev\\log", "wt");
    while (1)
    {
        memset(&tr2, 0, sizeof(tr2_t));
        sprintf(szPath, "%s\\%s", lpszDataPath, fd.cFileName);
        LoadTr2File(szPath, &tr2, TR2_ITEMS);
        sprintf(szTemp, "%s - %x\n", fd.cFileName, tr2.offsets.items);
        fputs(szTemp, f);
        /*for (x = 0; x < tr2.numitems; x++)
        {
            sprintf(szTemp, "object: %3x  un2: %4x  un3: %4x\n", tr2.items[x].object, tr2.items[x].un2, tr2.items[x].un3);
            fputs(szTemp, f);
            if (tr2.items[x].object >= 0x10a)
            {
                ASSERT(FALSE);
            }
        }*/
        /*LoadTr2File(szPath, &tr2, 0);
        sprintf(szTemp, "%s - %x\n", fd.cFileName, tr2.offsets.items);
        fputs(szTemp, f);
        sprintf(szTemp, "%x\n", tr2.nummeshwords);
        fputs(szTemp, f);
        sprintf(szTemp, "%x\n", tr2.numanims);
        fputs(szTemp, f);
        sprintf(szTemp, "%x\n", tr2.numstructs);
        fputs(szTemp, f);
        sprintf(szTemp, "%x\n", tr2.numranges);
        fputs(szTemp, f);
        sprintf(szTemp, "%x\n", tr2.numbones1);
        fputs(szTemp, f);
        sprintf(szTemp, "%x\n", tr2.numbones2);
        fputs(szTemp, f);
        sprintf(szTemp, "%x\n", tr2.numframes);
        fputs(szTemp, f);
        sprintf(szTemp, "%x\n", tr2.numun2);
        fputs(szTemp, f);
        sprintf(szTemp, "%x\n", tr2.numun3);
        fputs(szTemp, f);
        sprintf(szTemp, "%x\n", tr2.numun4);
        fputs(szTemp, f);
        sprintf(szTemp, "%x\n", tr2.numcameras);
        fputs(szTemp, f);
        sprintf(szTemp, "%x\n", tr2.numsoundfx);
        fputs(szTemp, f);
        sprintf(szTemp, "%x\n", tr2.numboxes);
        fputs(szTemp, f);
        sprintf(szTemp, "%x\n", tr2.numoverlaps);
        fputs(szTemp, f);
        sprintf(szTemp, "%x\n", tr2.numun6);
        fputs(szTemp, f);*/
        sprintf(szTemp, "anims: %x size: %d\n", tr2.offsets.anims, sizeof(anim_t));
        fputs(szTemp, f);
        sprintf(szTemp, "structs: %x size: %d\n", tr2.offsets.structs, sizeof(struct_t));
        fputs(szTemp, f);
        sprintf(szTemp, "ranges: %x size: %d\n", tr2.offsets.ranges, sizeof(range_t));
        fputs(szTemp, f);
        sprintf(szTemp, "bones1: %x size: %d\n", tr2.offsets.bones1, sizeof(bone1_t));
        fputs(szTemp, f);
        sprintf(szTemp, "bones2: %x size: %d\n", tr2.offsets.bones2, sizeof(bone2_t));
        fputs(szTemp, f);
        sprintf(szTemp, "frames: %x size: %d\n", tr2.offsets.frames, sizeof(frame_t));
        fputs(szTemp, f);
        sprintf(szTemp, "un2: %x size: %d\n", tr2.offsets.un2, sizeof(un2_t));
        fputs(szTemp, f);
        sprintf(szTemp, "un3: %x size: %d\n", tr2.offsets.un3, sizeof(un3_t));
        fputs(szTemp, f);
        sprintf(szTemp, "un4: %x size: %d\n", tr2.offsets.un4, sizeof(un4_t));
        fputs(szTemp, f);
        sprintf(szTemp, "un6: %x size: %d\n", tr2.offsets.un6, sizeof(un6_t));
        fputs(szTemp, f);
        ret = FindNextFile(hFind, &fd);
        if (!ret)
        {
            FindClose(hFind);
            break;
        }
        fputs("\n", f);
    }
    fclose(f);
    FinishMyMemory();
    return 0;
}
