//roommesh.h

#ifdef __cplusplus
extern "C"
{
#endif

typedef struct vertexlist_s
{
    rmvertex2_t *vertex;
    struct vertexlist_s *next;
    struct vertexlist_s *prev;
} vertexlist_t;

typedef struct poly4list_s
{
    poly4_t *poly4;
    struct poly4list_s *next;
    struct poly4list_s *prev;
} poly4list_t;

typedef struct poly3list_s
{
    poly3_t *poly3;
    struct poly3list_s *next;
    struct poly3list_s *prev;
} poly3list_t;

long BuildRoomMesh(trm_room_t *room);

#ifdef __cplusplus
}
#endif
